#include "tycho.h"

MapProps::MapProps(std::weak_ptr<MapModel> _mapModel, QWidget *parent) :
   QDialog(parent),
   mapModel(_mapModel)
{
   setupUi(this);

   setModal(true);

   auto bbox = new QDialogButtonBox(this);
   bbox->setStandardButtons(QDialogButtonBox::Cancel | QDialogButtonBox::Ok);
   verticalLayout->addWidget(bbox);

   connect(bbox, SIGNAL(accepted()), this, SLOT(accept()));
   connect(bbox, SIGNAL(rejected()), this, SLOT(reject()));

   dbgPrintFunc();
}

MapProps::~MapProps()
{
   dbgPrintFunc();
}

// EOF
